## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface ComputeExp

All Superinterfaces:
  org.eclipse.ocl.utilities.ASTNode, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.ETypedElement, ImperativeExpression, org.eclipse.emf.common.notify.Notifier, org.eclipse.ocl.expressions.OCLExpression<org.eclipse.emf.ecore.EClassifier>, org.eclipse.ocl.utilities.TypedElement<org.eclipse.emf.ecore.EClassifier>, org.eclipse.ocl.utilities.Visitable

All Known Implementing Classes:
  ComputeExpImpl

    public interface ComputeExp

extends ImperativeExpression

A representation of the model object 'Compute Exp'.

The following features are supported:

- `Body`
- `Returned Element`

See Also:
  `ImperativeOCLPackage.getComputeExp()`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Method Summary
`org.eclipse.ocl.ecore.OCLExpression` `getBody()` Returns the value of the 'Body' containment reference
`org.eclipse.ocl.ecore.Variable` `getReturnedElement()` Returns the value of the 'Returned Element' containment reference
`void` `setBody(org.eclipse.ocl.ecore.OCLExpression value)` Sets the value of the '`Body`' containment reference
`void` `setReturnedElement(org.eclipse.ocl.ecore.Variable value)` Sets the value of the '`Returned Element`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Method Detail

### getBody

    org.eclipse.ocl.ecore.OCLExpression getBody()

  Returns the value of the 'Body' containment reference.

  If the meaning of the 'Body' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Body' containment reference.
  See Also:
    `setBody(OCLExpression)`, `ImperativeOCLPackage.getComputeExp_Body()`

### setBody

    void setBody(org.eclipse.ocl.ecore.OCLExpression value)

  Sets the value of the '`Body`' containment reference.

  Parameters:
    `value` - the new value of the 'Body' containment reference.
  See Also:
    `getBody()`

### getReturnedElement

    org.eclipse.ocl.ecore.Variable getReturnedElement()

  Returns the value of the 'Returned Element' containment reference.

  If the meaning of the 'Returned Element' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Returned Element' containment reference.
  See Also:
    `setReturnedElement(Variable)`, `ImperativeOCLPackage.getComputeExp_ReturnedElement()`

### setReturnedElement

    void setReturnedElement(org.eclipse.ocl.ecore.Variable value)

  Sets the value of the '`Returned Element`' containment reference.

  Parameters:
    `value` - the new value of the 'Returned Element' containment reference.
  See Also:
    `getReturnedElement()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.